公告ID: KYLIN-2019-11477
安全等级: 重要
产品: Kylin V3
发布日期: 2019年6月17日
CVE: CVE-2019-11477
CVSS3评分: 7.5
概述:
Kylin Product Security is aware of this issue. Updates will be released as they become available. For additional information, please refer to the Kylin Knowledgebase article: https://access.Kylin.com/security/vulnerabilities/tcpsack 描述:
Jonathan Looney discovered that the TCP_SKB_CB(skb)->tcp_gso_segs value was subject to an integer overflow in the Linux kernel when handling TCP Selective Acknowledgments (SACKs). A remote attacker could use this to cause a denial of service. This has been fixed in stable kernel releases 4.4.182, 4.9.182, 4.14.127, 4.19.52, 5.1.11, and is fixed in commit 3b4929f65b0d8249f19a50245cd88ed1a2f78cff. An integer overflow flaw was found in the way the Linux kernel's networking subsystem processed TCP Selective Acknowledgment (SACK) segments. While processing SACK segments, the Linux kernel's socket buffer (SKB) data structure becomes fragmented. Each fragment is about TCP maximum segment size (MSS) bytes. To efficiently process SACK blocks, the Linux kernel merges multiple fragmented SKBs into one, potentially overflowing the variable holding the number of segments. A remote attacker could use this flaw to crash the Linux kernel by sending a crafted sequence of SACK segments on a TCP connection with small value of TCP MSS, resulting in a denial of service (DoS). 系统版本:
KYLIN 3.3.x
KYLIN 3.0.x
KYLIN 3.3.x
KYLIN 3.4.x
KYLIN 3.2.x
KYLIN 3.3.x
KYLIN 3.4.x
KYLIN 3.4.x
KYLIN 3.4.x
KYLIN 3.4.x
受影响包列表:
kernel-alt
kernel
kpatch-patch
kpatch-patch
kernel-2.6.32-754.15.3.ky3
kernel-3.10.0-957.21.3.ky3
kernel-4.18.0-80.4.2.ky3
kernel-4.18.0-80.4.2.ky3
kernel-rt-4.18.0-80.4.2.rt9.152.ky3
kernel-rt-4.18.0-80.4.2.rt9.152.ky3